Package twisted :: Package scripts :: Module twistd

[show private | hide private]
[frames | no frames]

## Module twisted.scripts.twistd

Classes
`ServerOptions` |

Function Summary
| `createApplicationDecoder(config)`
| ``debugSignalHandler`(*args)` Break into debugger.
| `decrypt(passphrase, data)`
| `loadApplication(config, passphrase)`
| `run()`
| `runApp(config)`

Variable Summary
`_Feature` | `nested_scopes`
`dict` | `reactorTypes`

Function Details

### debugSignalHandler(*args)

Break into debugger.

Variable Details

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### reactorTypes

  Type:
    `dict`
  Value:

        {'c': 'twisted.internet.cReactor',
         'default': 'twisted.internet.default',
         'gtk': 'twisted.internet.gtkreactor',
         'gtk2': 'twisted.internet.gtk2reactor',
         'kqueue': 'twisted.internet.kqreactor',
         'poll': 'twisted.internet.pollreactor',
         'qt': 'twisted.internet.qtreactor',
         'win': 'twisted.internet.win32eventreactor',
        ...

Generated by Epydoc 1.1 on Thu May 8 13:16:52 2003 | http://epydoc.sf.net